summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sping@gentoo.org>2018-09-20 15:55:11 +0200
committerSebastian Pipping <sping@gentoo.org>2018-09-20 16:01:17 +0200
commit341377acab7338c419f4494d29dcac44685007a4 (patch)
treebc2aa34ff7b63923a9d93f062f5b5ab56e441fb4 /media-fonts
parentdev-lang/lazarus: remove odl 1.6.2, 1.8.0, 1.8.2 (diff)
downloadgentoo-341377acab7338c419f4494d29dcac44685007a4.tar.gz
gentoo-341377acab7338c419f4494d29dcac44685007a4.tar.bz2
gentoo-341377acab7338c419f4494d29dcac44685007a4.zip
media-fonts/x11fonts-jmk: Turn into well-behaved font
Lack of file /usr/share/fonts/jmk/.uuid causes sandbox violation issues in other packages. font_pkg_postinst take care of its creation now. Also bumped to EAPI 7 and "Unquoted Variable" warnings addressed. Closes: https://bugs.gentoo.org/665008 Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'media-fonts')
-rw-r--r--media-fonts/x11fonts-jmk/files/gzip.patch4
-rw-r--r--media-fonts/x11fonts-jmk/x11fonts-jmk-3.0-r2.ebuild38
2 files changed, 40 insertions, 2 deletions
diff --git a/media-fonts/x11fonts-jmk/files/gzip.patch b/media-fonts/x11fonts-jmk/files/gzip.patch
index c01c1c09394..3fb938c2f41 100644
--- a/media-fonts/x11fonts-jmk/files/gzip.patch
+++ b/media-fonts/x11fonts-jmk/files/gzip.patch
@@ -1,5 +1,5 @@
---- Imakefile 1999-08-24 00:09:41.000000000 -0400
-+++ Imakefile 2005-02-21 01:40:20.000000000 -0500
+--- a/Imakefile 1999-08-24 00:09:41.000000000 -0400
++++ b/Imakefile 2005-02-21 01:40:20.000000000 -0500
@@ -22,7 +22,6 @@
CAT = cat
diff --git a/media-fonts/x11fonts-jmk/x11fonts-jmk-3.0-r2.ebuild b/media-fonts/x11fonts-jmk/x11fonts-jmk-3.0-r2.ebuild
new file mode 100644
index 00000000000..4a1e15c8834
--- /dev/null
+++ b/media-fonts/x11fonts-jmk/x11fonts-jmk-3.0-r2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+FONT_PN=jmk
+
+inherit font
+
+MY_P=jmk-x11-fonts-${PV}
+S=${WORKDIR}/${MY_P}
+DESCRIPTION="This package contains character-cell fonts for use with X"
+SRC_URI="http://www.pobox.com/~jmknoble/fonts/${MY_P}.tar.gz"
+HOMEPAGE="http://www.jmknoble.net/fonts/"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="x11-misc/imake
+ x11-apps/mkfontdir
+ x11-apps/bdftopcf"
+RDEPEND=""
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ eapply "${FILESDIR}"/gzip.patch
+}
+
+src_compile() {
+ xmkmf || die
+ emake || die
+}
+
+src_install() {
+ make install INSTALL_DIR="${D}${FONTDIR}" || die
+ dodoc README NEWS
+}